Last Comment Bug 692208 - IM: Assertion failure: defaultCase_ == (uint32)-1, at ion/MIR.h:653
: IM: Assertion failure: defaultCase_ == (uint32)-1, at ion/MIR.h:653
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Other Branch
: x86_64 Linux
: -- major (vote)
: ---
Assigned To: general
:
Mentors:
Depends on: 682021
Blocks: langfuzz
  Show dependency treegraph
 
Reported: 2011-10-05 12:13 PDT by Christian Holler (:decoder)
Modified: 2013-01-14 07:42 PST (History)
5 users (show)
choller: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Christian Holler (:decoder) 2011-10-05 12:13:36 PDT
The following testcase asserts on ionmonkey revision acf3c1fb7c94 (run with --ion-eager), tested on 64 bit:


SwitchTest( 0, 126 );
function SwitchTest( input, expect ) {
  switch ( input ) {
  case (7):
  default:
    result += 32;
  case 4:
  }
}
Comment 1 David Anderson [:dvander] 2011-10-13 12:43:28 PDT
fixed by bug 682021, so pushed this test case
Comment 2 Christian Holler (:decoder) 2013-01-14 07:42:18 PST
A testcase for this bug was automatically identified at js/src/jit-test/tests/ion/bug692208.js.

Note You need to log in before you can comment on or make changes to this bug.